Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.gradle.api.plugins
[Java] Annotation Type DeferredConfigurable

    java.lang.Object
      org.gradle.api.plugins.DeferredConfigurable

    @Incubating
    @Inherited
    @Documented
    @Retention(RetentionPolicy.RUNTIME)
    @Target(ElementType.TYPE)
    public @interface DeferredConfigurable

Indicates that the annotated object is designed to be configured only once, and that changes to configuration inputs made after configuration should not be allowed.

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Gradle API 1.10